#!/usr/bin/env python3
# coding: utf-8

"""
    @file   read_message.py
	@brief	lecture fichier message pour i10n projet emess

    @version   1.0
    @author    PG
    @date      04/06/2022
    @remark
"""

def message_read(path : str) -> dict :
    message = {}

    try:
        with open("./static/msg/"+path+".txt", 'r', newline='') as f:
            for line in f:
                line = line.strip('\r\n')
                if line and line[0] != '#':
                    key, value = tuple(line.split('\t'))
                    message[key] = value
    except IOError:
        pass

    return message

if __name__ == "__main__":
    print(message_read('en'))
